// Package database provides database-related functionality for the MCIAS system.
package database

import (
	"embed"
)

//go:embed schema.sql
var schemaFS embed.FS

// DefaultSchema returns the default database schema as a string.
func DefaultSchema() (string, error) {
	schemaBytes, err := schemaFS.ReadFile("schema.sql")
	if err != nil {
		return "", err
	}
	return string(schemaBytes), nil
}